Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.messaging
Interface IMessagingItem

All Superinterfaces:
  IItem, java.io.Serializable

All Known Subinterfaces:
  IAppointment, IAppointmentInvitation, IAppointmentNotice, ICalendarItem, IContact, IDeliveryReport, IDeliveryReport, IDominoAppointment, IDominoContact, IDominoTask, IExchangeAppointment, IExchangeCalendarItem, IExchangeContact, IExchangeMessage, IExchangeNonDeliveryReport, IExchangeReadReport, IExchangeTask, IGroupwareItem, IMailMessage, IMapiAppointment, IMapiTask, IMapiTaskRequest, IMeetingCancellation, IMeetingNotice, IMeetingNoticeAccepted, IMeetingNoticeDeclined, IMeetingNoticeTentative, IMeetingRequest, IMemo, IMessage, INonDeliveryReport, INonDeliveryReport, IReadReport, ITask, ITaskNotice, ITaskRequest

public interface IMessagingItem
extends IItem

Classes that implement this interface are items in the messaging schema (contain a body).

Field Summary
`static Key` | `BODY` Represents the plain text body of a groupware item.
`static Key` | `BODY_HTML` Represents the HTML body of a groupware item.
`static int` | `KEYID_BODY` The `int` ID for the `BODY` key.
`static int` | `KEYID_BODY_HTML` The `int` ID for the `BODY_HTML` key.

Fields inherited from interface com.compoze.collab.IItem
`CLASS, ID, ITEM_CLASS, KEYID_ID, KEYID_ITEM_CLASS, KEYID_PARENT_ID, MINIMUM_ITEM_KEYS, PARENT_ID`

Method Summary
`java.lang.String` | `getBody()` Gets the plain text body.
`java.lang.String` | `getBodyHtml()` Gets the HTML body.
`void` | `setBody(java.lang.String sBody)` Sets the plain text body.
`void` | `setBodyHtml(java.lang.String sBody)` Sets the HTML body.

Methods inherited from interface com.compoze.collab.IItem
`commit, containsKey, containsKey, copyProperties, copyTo, delete, fetchProperties, getAttribute, getEnum, getID, getInputStream, getItemClass, getOutputStream, getParent, getParent, getParentID, getProperties, getProperties, getProperties, getProperty, getProperty, getProperty, getReader, getRootContainer, getSession, getWriter, isMissing, moveTo, removeAttribute, removeProperty, setAttribute, setProperties, setProperty, setProperty, setProperty`

Field Detail

### KEYID_BODY

    public static final int KEYID_BODY

  The `int` ID for the `BODY` key.

### KEYID_BODY_HTML

    public static final int KEYID_BODY_HTML

  The `int` ID for the `BODY_HTML` key.

### BODY

    public static final Key BODY

  Represents the plain text body of a groupware item.

### BODY_HTML

    public static final Key BODY_HTML

  Represents the HTML body of a groupware item.

Method Detail

### getBody

    public java.lang.String getBody()
                             throws CollaborationException

  Gets the plain text body.
  Returns:
    the body
  See Also:
    `BODY`

### setBody

    public void setBody(java.lang.String sBody)
                 throws CollaborationException

  Sets the plain text body.
  Parameters:
    `sBody` - the body
  See Also:
    `BODY`

### getBodyHtml

    public java.lang.String getBodyHtml()
                                 throws CollaborationException

  Gets the HTML body.
  Returns:
    the HTML body

### setBodyHtml

    public void setBodyHtml(java.lang.String sBody)
                     throws CollaborationException

  Sets the HTML body.
  Parameters:
    `sBody` - the HTML body

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2005 BEA Systems, Inc. All rights reserved.